Package: groovy.inspect.swingui

## [Groovy] Class GeneratedBytecodeAwareGroovyClassLoader

- groovy.inspect.swingui.GeneratedBytecodeAwareGroovyClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratedBytecodeAwareGroovyClassLoader (GroovyClassLoader parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clearBytecodeTable()`
    `` | `protected ClassCollector` | `createCollector(CompilationUnit unit, SourceUnit su)`
    `` | `byte[]` | `getBytecode(String className)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class GroovyClassLoader`

    `addClasspath, getResourceLoader, generateScriptName, getLoadedClasses, setShouldRecompile, isShouldRecompile, setResourceLoader, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, loadClass, loadClass, loadClass, defineClass, defineClass, addURL, clearCache, newInstance, newInstance, findResource, getResourceAsStream, findResources, close, getURLs, getName, getPlatformClassLoader, getSystemClassLoader, getSystemResourceAsStream, getSystemResource, getResource, getResources, getDefinedPackage, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class URLClassLoader`

    `newInstance, newInstance, findResource, getResourceAsStream, findResources, close, getURLs, getName, loadClass, getPlatformClassLoader, getSystemClassLoader, getSystemResourceAsStream, getSystemResource, getResource, getResources, getDefinedPackage, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratedBytecodeAwareGroovyClassLoader(GroovyClassLoader parent)

  - ### Method Detail

    - #### void clearBytecodeTable()

    - #### @Override protected ClassCollector createCollector(CompilationUnit unit, SourceUnit su)

    - #### byte[] getBytecode(String className)